import styled from '@emotion/styled'

export const ContactForm = styled.div({
  width: '100%',
  padding: '5rem 0'
})

export const Row = styled.div({
  maxWidth: '75rem',
  margin: 'auto',
  display: 'flex',
  flexWrap: 'wrap'
})

export const ColLeft = styled.div({
  boxSizing: 'border-box',
  margin: 0,
  width: '100%',
  flex: '0 0 100%',
  maxWidth: '100%',
  padding: '2.75rem 1rem 1rem 1rem',
  display: 'flex',
  flexDirection: 'column',
  gap: '2.25rem',
  '@media (min-width: 768px)': {
    flex: '0 0 52%',
    maxWidth: '52%'
  }
})

export const ColGap = styled.div({
  boxSizing: 'border-box',
  margin: 0,
  padding: 0,
  width: '100%',
  flex: '0 0 100%',
  maxWidth: '100%',
  '@media (min-width: 768px)': {
    flex: '0 0 3%',
    maxWidth: '3%'
  }
})

export const ColRight = styled.div({
  boxSizing: 'border-box',
  margin: 0,
  width: '100%',
  flex: '0 0 100%',
  maxWidth: '100%',
  padding: '1rem',
  '@media (min-width: 768px)': {
    flex: '0 0 45%',
    maxWidth: '45%'
  }
})

export const Title = styled.h1({
  fontSize: '2.25rem',
  fontWeight: 'bold',
  lineHeight: '3.0375rem'
})

export const Description = styled.p({
  fontSize: '1.125rem',
  lineHeight: '2.08125rem',
  margin: '1.5rem 0 0 0'
})

export const Panel = styled.form({
  padding: '2.5rem',
  borderRadius: '5px'
})

export const Group = styled.div({
  marginBottom: '1.5rem'
})

export const Label = styled.label({
  fontSize: '0.875rem',
  fontWeight: 'bold',
  lineHeight: '1.5rem',
  color: '#6f6f6f'
})

export const Field = styled.input({
  fontSize: '0.875rem',
  padding: '1rem',
  border: '1px solid #dfdfdf',
  borderRadius: '5px',
  width: 'calc(100% - 2rem)',
  marginTop: '0.625rem'
})

export const Select = styled.select({
  fontSize: '0.875rem',
  border: '1px solid #dfdfdf',
  borderRadius: '5px',
  width: '100%',
  marginTop: '0.625rem',
  padding: '1rem 2.25rem 1rem 1rem',
  appearance: 'none',
  backgroundRepeat: 'no-repeat',
  backgroundPositionX: 'calc(100% - 0.5rem)',
  backgroundPositionY: '1rem',
  cursor: 'pointer'
})

export const TextArea = styled.textarea({
  fontSize: '0.875rem',
  padding: '1rem',
  border: '1px solid #dfdfdf',
  borderRadius: '5px',
  width: 'calc(100% - 2rem)',
  marginTop: '0.625rem',
  height: '6.125rem',
  resize: 'none'
})

export const Recaptcha = styled.p({
  fontSize: '0.875rem',
  color: '#6f6f6f',
  width: '100%',
  marginTop: '2.625rem',
  a: {
    color: '#00b38f'
  }
})

export const Button = styled.button({
  fontSize: '1rem',
  borderRadius: '5px',
  border: 0,
  cursor: 'pointer',
  color: 'white',
  backgroundColor: '#14bca2',
  width: '100%',
  height: '3.125rem',
  marginTop: '1.25rem',
  '&:hover': {
    backgroundColor: '#00b38f'
  }
})

export const Alert = styled.div({
  border: '1px solid red'
})

export const AlertMessage = styled.p({
  margin: '0rem',
  padding: '0.25rem 1rem',
  fontSize: '0.875rem',
  fontWeight: 'bold',
  lineHeight: '1.5rem',
  color: 'red'
})
