type Options = {
  value: string
  id: string
  en: string
}[]

export type Data = {
  name: string
  email: string
  phone: string
  category: string
  message: string
  source: string
}

export interface ContactFormOptions {
  background?: string
  mode?: 'Light' | 'Dark'
  language?: 'id' | 'en'
  categoryOptions?: Options
  applicationName?: string
  sourceOptions?: Options
  recaptcha?: boolean
  titleFont?: string
  fieldFont?: string
  buttonFont?: string
  customColor?: string
}

export interface ContactFormProps {
  children?: React.ReactNode
  options?: ContactFormOptions
  onSend: (data: Data) => void
}
