import * as SC from './ListStyles'

interface ListItem {
  id: string
  name: string
  url: string
  isExternalUrl?: boolean
}

export interface ListProps {
  title: string
  items: ListItem[]
}

const List: React.FC<ListProps> = ({ title, items }) => {
  const itemList = (
    <SC.ListContainer>
      {items.map(({ id, name, url, isExternalUrl }) => (
        <li id={id} key={id}>
          <SC.ListItem
            href={url}
            target={isExternalUrl ? '_blank' : ''}
            rel='noopener noreferrer'
          >
            {name}
          </SC.ListItem>
        </li>
      ))}
    </SC.ListContainer>
  )

  return (
    <SC.Main>
      <h3>{title}</h3>
      <div>{itemList}</div>
    </SC.Main>
  )
}

export default List
