import styled from '@emotion/styled'

export const Main = styled.div({
  display: 'block',
  width: '100%',
  color: '#fff'
})

export const PaymentRoot = styled.div({
  backgroundColor: '#ffffff',
  color: '#464646',
  borderRadius: '10px',
  boxShadow: '0px 15px 30px -5px rgba(86, 171, 47, 0.15)',
  overflow: 'hidden',
  padding: '40px',
  fontSize: '12px',
  lineHeight: '22px',
  letterSpacing: '0.015em'
})

export const InfoUser = styled.div({
  fontStyle: 'normal',
  fontWeight: '400',
  fontSize: '12px',
  lineHeight: '22px'
})

export const InfoCard = styled.div({
  fontStyle: 'normal',
  fontWeight: '700',
  fontSize: '12px',
  lineHeight: '22px'
})

export const PaymentTitle = styled(InfoCard)({
  letterSpacing: '0.01em',
  fontSize: '18px',
  lineHeight: '28px'
})

export const IndicatesRequired = styled(InfoUser)({
  fontSize: '10px',
  lineHeight: '20px',
  letterSpacing: '0.02em',
  marginTop: '4px',
  color: '#f34949'
})

export const SectionForm = styled.div({
  marginBottom: '24px'
})

export const PmMb8 = styled(InfoCard)({
  marginBottom: '8px'
})

export const PmMb4 = styled.div({
  marginBottom: '4px'
})

export const PmMl8 = styled.div({
  marginLeft: '8px'
})

export const PaymentAction = styled.div({
  textAlign: 'right',
  marginTop: '36px'
})

export const SectionTerms = styled.div({
  marginTop: '36px',
  fontStyle: 'normal',
  fontWeight: '400',
  fontSize: '12px',
  lineHeight: '22px'
})

export const Column = styled.div({
  float: 'left',
  width: '48%'
})

export const Row = styled.div({
  '&:after': {
    content: '""',
    display: 'table',
    clear: 'both'
  }
})

export const PaymentFieldInput = styled.div({
  boxSizing: 'border-box',
  position: 'relative',
  display: 'inline-flex',
  WebkitAlignItems: 'center',
  WebkitBoxAlign: 'center',
  MsFlexAlign: 'center',
  alignItems: 'center',
  width: '100%'
})

export const BankLogo = styled.img({
  position: 'absolute',
  width: '55px',
  padding: '0px 2.5px'
})

export const IconInput = styled.img({
  position: 'absolute',
  padding: '14px 23px',
  width: '16px',
  height: '16px'
})

export const InputField = styled.input({
  width: '100%',
  padding: '14px',
  paddingLeft: '60px',
  textAlign: 'left',
  letterSpacing: '0.015em',
  color: '#464646',
  borderColor: '#dfdfdf',
  borderWidth: '1px',
  borderRadius: '5px',
  border: '1px solid #dfdfdf',
  background: '#ffffff',
  '&::placeholder': {
    color: '#a3a3a3',
    opacity: '1'
  },
  '&:focus': {
    outline: 'none !important',
    border: '1px solid #56ab2f'
  },
  fontStyle: 'normal',
  fontWeight: '400',
  fontSize: '12px',
  lineHeight: '22px'
})

export const MandatorySign = styled.span({
  color: '#f34949'
})

export const FormValidation = styled.div({
  color: '#f34949',
  textAlign: 'left',
  margin: '3px 14px 0 14px',
  fontSize: '10px',
  lineHeight: '20px',
  letterSpacing: '0.02em',
  display: 'flex',
  fontStyle: 'normal',
  fontWeight: '400'
})

export const TextTerms = styled.span({
  color: '#56ab2f',
  fontWeight: '700',
  a: {
    color: '#56ab2f',
    textDecoration: 'none'
  }
})

export const SectionTermsCheck = styled.label({
  position: 'relative',
  paddingLeft: '28px',
  cursor: 'pointer',
  WebkitUserSelect: 'none',
  MozUserSelect: 'none',
  MsUserSelect: 'none',
  userSelect: 'none',
  '&:hover': {
    'input ~ span': {
      backgroundColor: '#d0ecb4'
    }
  },
  input: {
    position: 'absolute',
    opacity: '0',
    cursor: 'pointer',
    height: '0',
    width: '0',
    '&:checked': {
      backgroundColor: '#56ab2f',
      border: '2px solid #56ab2f',
      display: 'block',
      '& ~ span': {
        backgroundColor: '#56ab2f',
        border: '2px solid #56ab2f'
      },
      '& ~ span:after': {
        display: 'block'
      }
    }
  }
})

export const CheckMark = styled.span({
  position: 'absolute',
  top: '0',
  left: '0',
  height: '12px',
  width: '12px',
  backgroundColor: '#ffffff',
  border: '2px solid #a3a3a3',
  borderRadius: '3px',
  '&:after': {
    content: '""',
    position: 'absolute',
    display: 'none',
    left: '0.3em',
    top: '0px',
    width: '3px',
    height: '7px',
    border: '2px solid white',
    borderWidth: '0 2px 2px 0',
    WebkitTransform: 'rotate(45deg)',
    MsTransform: 'rotate(45deg)',
    transform: 'rotate(45deg)'
  }
})

export const ButtonAction = styled.button({
  display: 'inline-flex',
  WebkitAlignItems: 'center',
  WebkitBoxAlign: 'center',
  MsFlexAlign: 'center',
  alignItems: 'center',
  WebkitBoxPack: 'center',
  MsFlexPack: 'center',
  WebkitJustifyContent: 'center',
  justifyContent: 'center',
  position: 'relative',
  boxSizing: 'border-box',
  WebkitTapHighlightColor: 'transparent',
  backgroundColor: 'transparent',
  cursor: 'pointer',
  WebkitUserSelect: 'none',
  MozUserSelect: 'none',
  MsUserSelect: 'none',
  userSelect: 'none',
  verticalAlign: 'middle',
  MozAppearance: 'none',
  WebkitAppearance: 'none',
  WebkitTextDecoration: 'none',
  textDecoration: 'none',
  textTransform: 'none',
  padding: '9px 38px',
  borderRadius: '5px',
  fontStyle: 'normal',
  fontWeight: '700',
  fontSize: '14px',
  lineHeight: '24px',
  letterSpacing: '0.01em',
  minWidth: '130px'
})

export const ButtonCancelInactive = styled(ButtonAction)({
  background: '#ffffff',
  border: '1px solid #aee581',
  color: '#aee581',
  cursor: 'not-allowed'
})

export const ButtonSubmitInactive = styled(ButtonAction)({
  border: 'none',
  background: '#d0ecb4',
  marginLeft: '8px',
  color: '#ffffff',
  cursor: 'not-allowed'
})

export const ButtonCancelActive = styled(ButtonAction)({
  background: '#ffffff',
  border: '1px solid #56ab2f',
  color: '#56ab2f'
})

export const ButtonSubmitActive = styled(ButtonAction)({
  border: 'none',
  background: '#56ab2f',
  marginLeft: '8px',
  color: '#ffffff'
})
