export interface Transactions {
  orderId: string
  status: 'failed' | 'pending' | 'new' | 'success'
  dateTime: string
  planType: string
  planName: string
  features: string[]
  paymentMethod: string
  totalPrice: number
  paymentLink: string
}

export interface Data {
  transactions: Transactions[]
  total: number
}

export interface Parameter {
  page: number
  pageSize: string
  search: string
  start: Date | null
  end: Date | null
  status: string
  planType: string
}

export interface TransactionHistoryOptions {
  display?: 'List' | 'Details'
  seeDetailsColor?: string
  successColor?: string
  waitingForPaymentColor?: string
  failedColor?: string
  language?: 'id' | 'en'
  mode?: 'Light' | 'Dark'
  boxShadow?: string
  labelFont?: string
  fieldFont?: string
  noFilter?: boolean
  showListBtn?: boolean
  enableInvoiceDownload?: boolean
}

export interface TransactionHistoryProps {
  data: Data
  parameter: Parameter
  options?: TransactionHistoryOptions
  onChangeParameter: (newParameter: Parameter) => void
  onDownloadInvoice: (id: number) => void
}
