import type { Meta, StoryObj } from '@storybook/react'

import {
  AccountProfile,
  AccountProfileProps
} from '../src/components/account-profile'

const meta: Meta<AccountProfileProps> = {
  title: 'Component/Account Profile',
  component: AccountProfile,
  tags: ['autodocs']
}

export default meta

type Story = StoryObj<AccountProfileProps>

export const Indonesia: Story = {
  args: {
    data: {
      email: 'chickensaurus@gmail.com',
      firstName: 'Chicken',
      lastName: 'Saurus',
      organization: 'PT Saurus Indonesia',
      phoneNumber: '+62838-091-738-20',
      pictureUrl:
        'https://www.freeiconspng.com/uploads/red-single-chicken-png-8.png'
    }
  }
}

export const English: Story = {
  args: {
    options: {
      language: 'en'
    },
    data: {
      email: 'chickensaurus@gmail.com',
      firstName: 'Chicken',
      lastName: 'Saurus',
      organization: 'PT Saurus Indonesia',
      phoneNumber: '+62838-091-738-20',
      pictureUrl:
        'https://www.freeiconspng.com/uploads/red-single-chicken-png-8.png'
    }
  }
}
